View Issue Details

IDProjectCategoryView StatusLast Update
0000203bareos-core[All Projects] installer / packagespublic2015-03-25 19:18
ReporterstephandAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version19
Product Version12.4.4 
Target VersionFixed in Version12.4.5 
Summary0000203: systemctl start bareos-fd.service fails on Fedora 19
Description[root@t420 ~]# systemctl start bareos-fd.service
Failed to issue method call: Unit syslog.target failed to load: No such file or directory. See system logs and 'systemctl status syslog.target' for details.
Steps To Reproducesystemctl start bareos-fd.service
Additional Information[root@t420 ~]# systemctl status syslog.target
syslog.target
   Loaded: error (Reason: No such file or directory)
   Active: inactive (dead)

Workaround: commenting the line in /usr/lib/systemd/system/bareos-fd.service
#Requires=nss-lookup.target network.target remote-fs.target syslog.target time-sync.target

TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

stephand

stephand

2013-07-07 13:03

developer   ~0000510

Obviously syslog.target has been removed in Fedora 19 and the syslog.target was removed from unit requires in a lot of packages:
https://lists.fedoraproject.org/pipermail/test/2013-May/115674.html

It has also been removed from the bacula packages provided by Fedora:
https://bugzilla.redhat.com/show_bug.cgi?id=952334

Their unit files don't use Requires at all and look like this:

[Unit]
Description=Bacula-FileDaemon, a Backup-client
Documentation=man:bacula-fd(8)
After=network.target nss-lookup.target

[Service]
Environment=CONFIG=/etc/bacula/bacula-fd.conf
EnvironmentFile=-/etc/sysconfig/bacula-fd
ExecStart=/usr/sbin/bacula-fd -f $OPTS -c $CONFIG -u $FD_USER -g $FD_GROUP
IOSchedulingClass=idle
Restart=on-failure

[Install]
WantedBy=multi-user.target
maik

maik

2013-07-19 16:06

administrator   ~0000538

needs verification on f19
stephand

stephand

2013-07-26 17:11

developer   ~0000557

verified that the issue is fixed for 3 (dir, sd, fd) systemd unit files.
stephand

stephand

2013-07-26 17:12

developer   ~0000558

packages still need to be published.
mvwieringen adm

mvwieringen adm

2013-08-13 03:12

administrator   ~0000576

Fix committed to bareos bareos-13.2 branch with changesetid 1043.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001367

Fix committed to bareos2015 bareos-14.2 branch with changesetid 5094.
joergs

joergs

2015-03-25 19:18

administrator   ~0001522

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: bareos-13.2 7d1da986

2013-07-12 15:37:22

mvwieringen adm

Ported: N/A

Details Diff
Drop syslog.target from systemd service definitions.

Newer systemd versions implement a internal binary journalling system
which replaces syslog so the syslog.target is no longer available in
newer versions of systemd. So we dropped the dependency on it and hope
that our other dependencies make sure the syslogging is available.

Fixes 0000203: systemctl start bareos-fd.service fails on Fedora 19
Affected Issues
0000203
mod - platforms/systemd/bareos-dir.service.in Diff File
mod - platforms/systemd/bareos-fd.service.in Diff File
mod - platforms/systemd/bareos-sd.service.in Diff File

bareos: bareos-12.4 519d2f14

2013-07-12 15:37:22

mvwieringen adm

Ported: N/A

Details Diff
Drop syslog.target from systemd service definitions.

Newer systemd versions implement a internal binary journalling system
which replaces syslog so the syslog.target is no longer available in
newer versions of systemd. So we dropped the dependency on it and hope
that our other dependencies make sure the syslogging is available.

Fixes 0000203: systemctl start bareos-fd.service fails on Fedora 19
Affected Issues
0000203
mod - platforms/systemd/bareos-dir.service.in Diff File
mod - platforms/systemd/bareos-fd.service.in Diff File
mod - platforms/systemd/bareos-sd.service.in Diff File

bareos: master 54e868a0

2013-07-12 15:37:22

mvwieringen adm

Ported: N/A

Details Diff
Drop syslog.target from systemd service definitions.

Newer systemd versions implement a internal binary journalling system
which replaces syslog so the syslog.target is no longer available in
newer versions of systemd. So we dropped the dependency on it and hope
that our other dependencies make sure the syslogging is available.

Fixes 0000203: systemctl start bareos-fd.service fails on Fedora 19
Affected Issues
0000203
mod - platforms/systemd/bareos-sd.service.in Diff File
mod - platforms/systemd/bareos-fd.service.in Diff File
mod - platforms/systemd/bareos-dir.service.in Diff File

bareos2015: bareos-12.4 e89c7d29

2013-07-12 17:37:22

mvwieringen

Ported: N/A

Details Diff
Drop syslog.target from systemd service definitions.

Newer systemd versions implement a internal binary journalling system
which replaces syslog so the syslog.target is no longer available in
newer versions of systemd. So we dropped the dependency on it and hope
that our other dependencies make sure the syslogging is available.

Fixes 0000203: systemctl start bareos-fd.service fails on Fedora 19
Affected Issues
0000203
mod - platforms/systemd/bareos-dir.service.in Diff File
mod - platforms/systemd/bareos-fd.service.in Diff File
mod - platforms/systemd/bareos-sd.service.in Diff File

bareos2015: bareos-13.2 41288bd1

2013-07-12 17:37:22

mvwieringen

Ported: N/A

Details Diff
Drop syslog.target from systemd service definitions.

Newer systemd versions implement a internal binary journalling system
which replaces syslog so the syslog.target is no longer available in
newer versions of systemd. So we dropped the dependency on it and hope
that our other dependencies make sure the syslogging is available.

Fixes 0000203: systemctl start bareos-fd.service fails on Fedora 19
Affected Issues
0000203
mod - platforms/systemd/bareos-dir.service.in Diff File
mod - platforms/systemd/bareos-fd.service.in Diff File
mod - platforms/systemd/bareos-sd.service.in Diff File

bareos2015: bareos-14.2 ccdb4543

2013-07-12 17:37:22

mvwieringen

Ported: N/A

Details Diff
Drop syslog.target from systemd service definitions.

Newer systemd versions implement a internal binary journalling system
which replaces syslog so the syslog.target is no longer available in
newer versions of systemd. So we dropped the dependency on it and hope
that our other dependencies make sure the syslogging is available.

Fixes 0000203: systemctl start bareos-fd.service fails on Fedora 19
Affected Issues
0000203
mod - platforms/systemd/bareos-dir.service.in Diff File
mod - platforms/systemd/bareos-fd.service.in Diff File
mod - platforms/systemd/bareos-sd.service.in Diff File

Issue History

Date Modified Username Field Change
2013-07-05 23:29 stephand New Issue
2013-07-07 13:03 stephand Note Added: 0000510
2013-07-12 10:00 mvwieringen Assigned To => mvwieringen
2013-07-12 10:00 mvwieringen Status new => acknowledged
2013-07-12 17:42 mvwieringen Changeset attached => bareos master ac959704
2013-07-12 17:42 mvwieringen Status acknowledged => resolved
2013-07-12 17:42 mvwieringen Resolution open => fixed
2013-07-12 17:42 mvwieringen Changeset attached => bareos bareos-12.4 5f5a295b
2013-07-12 17:42 mvwieringen Changeset attached => bareos bareos-13.2 093f802c
2013-07-19 16:06 maik Assigned To mvwieringen => stephand
2013-07-19 16:06 maik Note Added: 0000538
2013-07-19 16:06 maik Status resolved => feedback
2013-07-19 16:06 maik Resolution fixed => reopened
2013-07-26 17:11 stephand Note Added: 0000557
2013-07-26 17:11 stephand Status feedback => assigned
2013-07-26 17:11 stephand Status assigned => closed
2013-07-26 17:11 stephand Assigned To stephand =>
2013-07-26 17:11 stephand Resolution reopened => fixed
2013-07-26 17:11 stephand Fixed in Version => 12.4.4
2013-07-26 17:12 stephand Assigned To => stephand
2013-07-26 17:12 stephand Note Added: 0000558
2013-07-26 17:12 stephand Status closed => feedback
2013-07-26 17:12 stephand Resolution fixed => reopened
2013-07-26 17:12 stephand Status feedback => resolved
2013-07-26 17:12 stephand Resolution reopened => fixed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 54e868a0
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 519d2f14
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-13.2 7d1da986
2013-08-13 03:12 mvwieringen adm Note Added: 0000576
2013-09-06 16:26 maik Assigned To stephand =>
2013-09-06 16:26 maik Status resolved => closed
2013-09-06 16:26 maik Fixed in Version 12.4.4 => 12.4.5
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 e89c7d29
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 41288bd1
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 ccdb4543
2015-03-25 16:51 mvwieringen Note Added: 0001367
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001522
2015-03-25 19:18 joergs Status resolved => closed